# **Troubleshooting**

## **No internet connection**

Re-login into Vanced MicroG or reinstall it.

## **How to use the ReVanced Manager**

Follow the unofficial or official guide to using the ReVanced Manager.

## **YouTube is crashing on startup after applying patches**

You might likely be patching a split apk file, so refer to [Where to get full apk files](https://www.reddit.com/r/revancedapp/wiki/help/troubleshooting/#wiki_where_to_get_full_apk_files). You might be missing [Vanced MicroG](https://github.com/TeamVanced/VancedMicroG/releases). Install it. Otherwise, refer to [How to use the ReVanced Manager](https://www.reddit.com/r/revancedapp/wiki/help/troubleshooting/#wiki_how_to_use_the_revanced_manager) as well as [Can you support me?](https://www.reddit.com/r/revancedapp/wiki/help/questions/).

## **Watch history isn't being saved on YouTube**

Whitelist s.youtube.com in your ad-blocker.

## **The player UI on YouTube doesn't go away**

This issue occurs randomly. Currently, only fix is to restart the app.

## **The shorts button in YouTube is gone.**

Go to Settings > ReVanced > Layout > Show shorts button.

## **ReVanced Manager is crashing/not working**

ReVanced Manager is still work in progress. Before submitting an issue, make sure it is not a duplicate of an existing issue.

## **Google login does not work on**

Please use username/password to login.

## **Links don't open in a patched app**

Follow [this](https://support.google.com/pixelphone/answer/6271667). The process may vary for your device. You may need to disable or uninstall the unpatched app that occupies the links to set them for the patched app.

## **org.schabi.newpipe is not installed**

Please install NewPipe here.

## **Where to get full apk files**

You can get a full apk from mirroring sites such as APKMirror.
In the example of YouTube, you would want to download the full apk from APKMirror here until ReVanced introduces support for apk bundles or split apk files.

## **Videos do not play or rewind**

Include the `client-spoof` patch.

## **Installation is blocked due to conflicting with an existing installation**

This implies that you must remove the previous installation to solve the conflict.

## **SponsorBlock does not work**

The servers of SponsorBlock are likely having issues right now. Review the current status of SponsorBlock.

## **Endscreen cards are missing**

This is a side effect caused by a recent workaround for the issue mentioned in [Videos do not play or rewind](https://www.reddit.com/r/revancedapp/wiki/help/troubleshooting/#wiki_videos_do_not_play_or_rewind). Please refer to issue [1752](https://github.com/revanced/revanced-patches/issues/1752).

## **Ambient mode does not work**

This is a side effect caused by a recent workaround for the issue mentioned in [Videos do not play or rewind](https://www.reddit.com/r/revancedapp/wiki/help/troubleshooting/#wiki_videos_do_not_play_or_rewind). Please refer to issue [1752](https://github.com/revanced/revanced-patches/issues/1752).

## **Video playback stops**

This is a known issue and may or may not be fixed by patching YouTube using the latest version of ReVanced Patches. Make sure to include the `client-spoof` patch.
